<script lang="ts">
  const contents = [
    {
      image: 'src/lib/images/game-icons/4639ea80-0e11-4cad-b45b-6a5021a055e9.png',
      title: 'Nine Chronicles',
      content:
        'Nine Chronicles is a blockchain MMORPG powered by the players, set in a world that can never be shut down. Governed by the community, and supported by a complex economy where supply and demand are the greatest currency, Nine Chronicles invites you to aid the goddess Freya in her eternal struggle against an evil ravaging the land.',
    },
    {
      image: 'src/lib/images/game-icons/5cd9e5c3-f4c8-4de6-be49-967d35b64f5d.jpg',
      title: 'Nine Chronicles',
      content:
        'Nine Chronicles is a blockchain MMORPG powered by the players, set in a world that can never be shut down. Governed by the community, and supported by a complex economy where supply and demand are the greatest currency, Nine Chronicles invites you to aid the goddess Freya in her eternal struggle against an evil ravaging the land.',
    },
    {
      image: 'src/lib/images/game-icons/a85ef454-290a-43f9-92d0-44ab962b0b34.png',
      title: 'Nine Chronicles',
      content:
        'Nine Chronicles is a blockchain MMORPG powered by the players, set in a world that can never be shut down. Governed by the community, and supported by a complex economy where supply and demand are the greatest currency, Nine Chronicles invites you to aid the goddess Freya in her eternal struggle against an evil ravaging the land.',
    },
    {
      image: 'src/lib/images/game-icons/e22c0bf3-8dbe-4318-887e-9f9b0bb212a7.png',
      title: 'Nine Chronicles',
      content:
        'Nine Chronicles is a blockchain MMORPG powered by the players, set in a world that can never be shut down. Governed by the community, and supported by a complex economy where supply and demand are the greatest currency, Nine Chronicles invites you to aid the goddess Freya in her eternal struggle against an evil ravaging the land.',
    },
  ];
</script>

<div>
  <div class="contents"><span>Upcoming</span></div>
  <ul>
    {#each contents as content}
      <li>
        <a href="#/"><img src={content.image} /></a>
      </li>
    {/each}
  </ul>
</div>

<style lang="postcss">
  .contents {
    display: flex;
    justify-content: space-between;
    padding: var(--content-margin);
  }

  ul {
    display: flex;
    padding: 0 var(--content-margin) var(--content-margin);
    gap: 10px;

    li {
      overflow: hidden;
      width: 40%;
      border-radius: var(--radius-2);
    }
  }

  @media (width >= 768px) {
    ul {
      flex-direction: column;

      li {
        width: 100%;

        img {
          width: 100%;
          height: 60px;
        }
      }
    }
  }
</style>
